#ifndef __DetailWindow_HPP
#define __DetailWindow_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(DetailWindow)

class DetailWindow : public SFRTitleWindow {

    SFMSEALCOPY(DetailWindow)

private:

    SInt16 _displine;
    // Cursor location
    SInt16 _cursor;
    // The max number of lines
    SInt16 _maxline;

    SFXRectangle _currentRect;
    SInt16 _moveY;

public:

    DetailWindow(SInt16 cursor);
    static Void SetSoftkey(Void);
    Void DetailWindow::UpdateTitle(Void);

private:

    HANDLER_DECLARE_VOIDRENDER(OnRenderContent)
    HANDLER_DECLARE_BOOLEVENT(OnKey)
};

#endif
