#ifndef __INPUTWINDOW_HPP
#define __INPUTWINDOW_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(InputWindow)

class InputWindow : public SFRTitleWindow {

    SFMSEALCOPY(InputWindow)

private:

    // Text controls
    SFREditboxControlPtr _titleTextControl;
    SFREditboxControlPtr _urlTextControl;

public:

    InputWindow(Void);
    static Void SetSoftkey(Void);

private:

    // Key handler
    HANDLER_DECLARE_BOOLEVENT(OnKey)
    // Ok Button handler
    HANDLER_DECLARE_VOIDCONTROL(OkButtonHandler)
    // Cancel Button handler
    HANDLER_DECLARE_VOIDCONTROL(CancelButtonHandler)
    // Dialog handler
    HANDLER_DECLARE_VOIDDIALOG(EndHandler)
};

#endif //__INPUTWINDOW_HPP
